appId: io.balena.etcher
copyright: Copyright 2016-2019 Balena Ltd
productName: balenaEtcher
npmRebuild: true
nodeGypRebuild: true
publish: null
afterPack: "./afterPack.js"
files:
  - build/Release/elevator.node
  - generated
  - lib/shared/catalina-sudo/sudo-askpass.osascript.js
  - lib/gui/app/index.html
  - lib/gui/css/*.css
  - lib/gui/css/fonts/*.woff2
  - lib/gui/assets/*.svg
  - assets/icon.png
  - "!node_modules/**/**"
  - "node_modules/**/*.js"
  - "node_modules/**/*.json"
  - "node_modules/**/*.node"
  - "node_modules/**/*.dll"
  - node_modules/node-raspberrypi-usbboot/blobs/**
  - node_modules/flexboxgrid/dist/flexboxgrid.css
  - node_modules/roboto-fontface/fonts/roboto/Roboto-Thin.woff
  - node_modules/roboto-fontface/fonts/roboto/Roboto-Light.woff
  - node_modules/roboto-fontface/fonts/roboto/Roboto-Regular.woff
  - node_modules/roboto-fontface/fonts/roboto/Roboto-Medium.woff
  - node_modules/roboto-fontface/fonts/roboto/Roboto-Bold.woff
  - node_modules/bootstrap-sass/assets/fonts/bootstrap/glyphicons-halflings-regular.woff2
mac:
  asar: false
  icon: assets/icon.icns
  category: public.app-category.developer-tools
  hardenedRuntime: true
  entitlements: "entitlements.mac.plist"
  entitlementsInherit: "entitlements.mac.plist"
dmg:
  background: assets/dmg/background.tiff
  icon: assets/icon.icns
  iconSize: 110
  contents:
    - x: 140
      y: 225
    - x: 415
      y: 225
      type: link
      path: /Applications
  window:
    width: 540
    height: 405
win:
  icon: assets/icon.ico
nsis:
  oneClick: true
  runAfterFinish: true
  installerIcon: assets/icon.ico
  uninstallerIcon: assets/icon.ico
  deleteAppDataOnUninstall: true
  license: LICENSE
  artifactName: "${productName}-Setup-${version}.${ext}"
portable:
  artifactName: "${productName}-Portable-${version}.${ext}"
  requestExecutionLevel: user
linux:
  category: Utility
  packageCategory: utils
  executableName: balena-etcher-electron
  synopsis: balenaEtcher is a powerful OS image flasher built with web technologies to ensure flashing an SDCard or USB drive is a pleasant and safe experience. It protects you from accidentally writing to your hard-drives, ensures every byte of data was written correctly and much more.
  icon: assets/iconset
deb:
  priority: optional
  depends:
    - gconf2
    - gconf-service
    - libappindicator1
    - libasound2
    - libatk1.0-0
    - libc6
    - libcairo2
    - libcups2
    - libdbus-1-3
    - libexpat1
    - libfontconfig1
    - libfreetype6
    - libgcc1
    - libgconf-2-4
    - libgdk-pixbuf2.0-0
    - libglib2.0-0
    - libgtk-3-0
    - liblzma5
    - libnotify4
    - libnspr4
    - libnss3
    - libpango1.0-0
    - libstdc++6
    - libx11-6
    - libxcomposite1
    - libxcursor1
    - libxdamage1
    - libxext6
    - libxfixes3
    - libxi6
    - libxrandr2
    - libxrender1
    - libxss1
    - libxtst6
    - polkit-1-auth-agent | policykit-1-gnome | polkit-kde-1
rpm:
  depends:
    - lsb
    - libXScrnSaver
